GET https://api.cryptohopper.com/v1/hopper/{id}/config/pool

Returns all config pools of the hopper with their coins and config.

OAuth scope: read About scopes

coins is a comma separated list and status is "1" when the pool is enabled.

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/config/pool" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": [
        {
            "id": "2345",
            "name": "Altcoins",
            "coins": "ETH,SOL",
            "config": {
                "max_open_positions": 5,
                "stop_loss": 1,
                "stop_loss_percentage": 4
            },
            "updated": "2026-09-20 12:00:00",
            "status": "1"
        }
    ]
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.